List person text rows

View as Markdown
Returns paginated text rows owned by the person. Inactive rows require read auth.

Authentication

X-Client-Secretstring

Client secret for read-only service-to-service access (no writes)

Path parameters

personIdstringRequiredformat: "uuid"
Person UUID owning the text rows

Query parameters

includeInactivebooleanOptionalDefaults to false
Include inactive text rows
pageintegerOptional>=0Defaults to 0

Zero-based page index (0..N)

sizeintegerOptional>=1Defaults to 25
The size of the page to be returned
sortlist of stringsOptional

Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.

Response

OK

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
406
Not Acceptable Error
429
Too Many Requests Error
500
Internal Server Error
503
Service Unavailable Error